#include <stdio.h>
#include <string.h>
#include <math.h>
#include "Property.h"
#include "Func.h"
#include "types.h"

/* これは必須 */
SchedDefineTask(PropertyTask);

typedef struct {
    float xyz[3];
    const char *name;
} Property, *PropertyPtr;

static int
run(SchedTask *s,void *rbuf, void *wbuf)
{
    PropertyPtr	property	= (PropertyPtr)s->get_input(rbuf, 0);
    PropertyPtr	update_property = (PropertyPtr)s->get_output(wbuf, 0);

    property->xyz[0] += 1.0f;
    property->xyz[1] += 1.0f;
    property->xyz[2] += 1.0f;

    memcpy((void*)update_property, (void*)property, sizeof(Property));

    return 0;
}
